Page MenuHomePhabricator

Add history link for banners
Closed, ResolvedPublic1 Estimated Story Points

Description

The banner detail page currently has links to preview a banner, and edit it on-wiki.

It would also be useful to provide a direct link to the banner's revision history. Currently the easiest way to reach it is go via "Edit banner on-wiki", and then use the History tab, but this is non-obvious.

Event Timeline

Pcoombe created this task.Apr 14 2016, 10:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 14 2016, 10:31 PM
Pcoombe triaged this task as Low priority.Apr 14 2016, 10:31 PM
Ejegg set the point value for this task to 1.Apr 19 2016, 8:17 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 8:17 PM
Anikethfoss removed Anikethfoss as the assignee of this task.Oct 3 2016, 8:58 AM
Anikethfoss added a subscriber: Anikethfoss.
Base added a subscriber: Base.Dec 21 2016, 11:44 PM

Could this work and be added to the relevant file?

$bannerTitle {
      $links[] = Linker::link(
        $bannerTitle,
        $this->msg( 'centralnotice-banner-history' )->escaped(), // centralnotice-banner-history needs to be added to the i18n file
        [ 'class' => 'cn-banner-list-element-label-text' ],
        [ 'action' => 'history' ]
        );
    }

Change 408519 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[mediawiki/extensions/CentralNotice@master] Add link to banner history on SpecialCentralNoticeBanners

https://gerrit.wikimedia.org/r/408519

Change 408519 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@master] Add link to banner history on SpecialCentralNoticeBanners

https://gerrit.wikimedia.org/r/408519

Pcoombe closed this task as Resolved.Mar 16 2018, 5:37 PM
Pcoombe claimed this task.
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptMar 16 2018, 9:44 PM